## GtrNotebook

GtrNotebook

## Functions

GtkWidget * | gtr_notebook_new ()
void | gtr_notebook_add_page ()
void | gtr_notebook_remove_page ()
void | gtr_notebook_remove_all_pages ()
GtrTab * | gtr_notebook_get_page ()

## Description

## Functions

### gtr_notebook_new ()

    GtkWidget *
    gtr_notebook_new (void);

Creates a new GtrNotebook.

#### Returns

a new GtrNotebook object

### gtr_notebook_add_page ()

    void
    gtr_notebook_add_page (GtrNotebook *notebook,
                           GtrTab *tab);

Adds a new GtrTab to `notebook` .

#### Parameters

notebook | a GtrNotebook |
tab | a GtrTab |

### gtr_notebook_remove_page ()

    void
    gtr_notebook_remove_page (GtrNotebook *notebook,
                              gint page_num);

Removes a page from the notebook given its index in the notebook.

#### Parameters

notebook | a GtrNotebook |
page_num | the index of a notebook page, starting from 0. |

### gtr_notebook_remove_all_pages ()

    void
    gtr_notebook_remove_all_pages (GtrNotebook *notebook);

Removes all tabs from from `notebook`

#### Parameters

notebook | a GtrNotebook |

### gtr_notebook_get_page ()

    GtrTab *
    gtr_notebook_get_page (GtrNotebook *notebook);

Gets the selected page in the GtrNotebook.

#### Parameters

notebook | a GtrNotebook |

#### Returns

the selected page in the `notebook` .

[transfer none]

## Types and Values